@import "../../../../theming/variables";

.player-container {
  width: 200px;
  height: 80px;
  border: 1px solid $light-color;
  background-color: $dark-background;
  border-radius: 5px;
  position: relative;
  align-items: center;
  justify-content: center;
  display: flex;

  .player-score {
    position: absolute;
    margin-bottom: 120px;
    display: flex;
  }

  .win {
    color: $green-color;
  }
  .draw {
    color: $orange-color;
  }



  .player-name {
    border: 1px solid $light-color;
    justify-self: center;
    top: -10px;
    padding: 0 10px;
    background-color: $dark-background;
    border-radius: 3px;
    position: absolute;
  }

  .cards-container {
    display: flex;
    position: absolute;
    bottom: -30px;
    left: 10px;

    app-card {
      margin: 0 3px;
    }
  }

  .add-button {
    height: 50px;
    width: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid $light-color;
    border-radius: 50%;
    font-size: 30px;
    font-weight: bold;
    cursor: pointer;
  }

}

.win-background {
  box-shadow: 0 0 8px $green-color;
}
.draw-background {
  box-shadow: 0 0 8px $orange-color;
}
